"use client";
import CreateOnlineCaseForm from "@/components/forms/online-case/new/CreateOnlineCaseForm";
import { useGetAllCountries } from "@/hooks/country";
import {useRouter} from "next/navigation";
import React from "react";

export default function Page() {
  const router = useRouter();
  const {data:countries,isLoading:fetchCountriesLoading}=useGetAllCountries()
  return (
    <div>
      <CreateOnlineCaseForm router={router} countries={countries?.data} fetchCountriesLoading={fetchCountriesLoading} />
    </div>
  );
}
